Name:       kup
Version:    0.3.4
Release:    4%{?dist}
Summary:    Kernel.org Uploader

Group:      Development/Tools
License:    GPLv2
URL:        https://git.kernel.org/?p=utils/kup/kup.git;a=summary
Source0:    https://www.kernel.org/pub/software/network/kup/kup-%{version}.tar.bz2
BuildArch:  noarch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes the client-side kup utility.


%package server
Group:      Development/Tools
Summary:    Kernel.org Uploader - server utilities
Requires:   gnupg, xz, perl-Digest-SHA

%description server
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes the server-side kup-server utility.


%package utils
Group:      Development/Tools
Summary:    Kernel.org Uploader - extra utilities
Obsoletes:  kup-server-utils < 0.3.3-2
Provides:   kup-server-utils = %{version}-%{release}

%description utils
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes additional tools that may come in useful with kup.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -pm 0755 \
    %{buildroot}%{_bindir}        \
    %{buildroot}%{_mandir}/man1   \
    %{buildroot}%{_sysconfdir}/kup

install -pm 0755 kup gpg-sign-all genrings kup-server %{buildroot}%{_bindir}
install -pm 0644 kup.1 kup-server.1 %{buildroot}%{_mandir}/man1/
install -pm 0644 kup-server.cfg %{buildroot}/%{_sysconfdir}/kup/kup-server.cfg

# Runtime directories and files
mkdir -pm 0755 \
    %{buildroot}%{_sharedstatedir}/kup/{pub,tmp,pgp}

mkdir -p %{buildroot}%{_localstatedir}/run/kup
touch %{buildroot}%{_localstatedir}/run/kup/lock


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/kup
%{_mandir}/man1/kup.*

%files server
%defattr(-,root,root,-)
%doc COPYING test
%config %dir %{_sysconfdir}/kup
%config(noreplace) %{_sysconfdir}/kup/kup-server.cfg
%{_bindir}/kup-server
%{_mandir}/man1/kup-server.*
%dir %attr(1777,root,root) %{_sharedstatedir}/kup/tmp
%dir %{_sharedstatedir}/kup
%dir %{_sharedstatedir}/kup/pgp
%dir %{_sharedstatedir}/kup/pub
%dir %{_localstatedir}/run/kup
%{_localstatedir}/run/kup/lock


%files utils
%{_bindir}/gpg-sign-all
%{_bindir}/genrings


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.3.4-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Konstantin Ryabitsev <mricon@kernel.org> - 0.3.4-1
- Upstream 0.3.4-1 with support for sha256 logging of uploads.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 19 2012 Konstantin Ryabitsev <mricon@kernel.org> - 0.3.3-2
- Rename -server-utils into -utils, as the tools aren't actually
  server-specific.

* Mon Feb 13 2012 Konstantin Ryabitsev <mricon@kernel.org> - 0.3.3-1
- Upstream 0.3.3

* Tue Nov 29 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3.2-1
- Upstream 0.3.2

* Thu Nov 24 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3.1-1
- Upstream 0.3.1
- Upstream now releases tarballs, so remove the gen-tarball script.

* Fri Nov 18 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3-2
- Require gnupg and xz for kup-server (gzip and bzip2 are in base)

* Wed Nov 16 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3-1
- Use the git-checkout notation as per Fedora guidelines.
- Move "test" dir to be with the -server package.
- Make kup-client to just be the "kup" package.
- Provide the kup-generate-tarball.sh script to automate tarball generation.
- Create a -server-utils subpackage for gpg-sign-all and genrings tools.
- Create a tmpfiles entry for systemd (needed for F15 and above).

* Mon Nov 14 2011 Konstantin Ryabitsev <mricon@kernel.org>
- Match Fedora's spec format.
- Generate runtime directories.

* Mon Oct 17 2011 John 'Warthog9' Hawley <warthog9@kernel.org>
- created spec file
